export const schema = gql`
  type Identity {
    id: Int!
    provider: String!
    # uid: String!
    userId: Int!
    user: User!
    # accessToken: String
    # scope: String
    lastLoginAt: DateTime!
    createdAt: DateTime!
    updatedAt: DateTime!
  }

  type Query {
    identities: [Identity!]! @requireAuth
  }

  input CreateIdentityInput {
    provider: String!
    uid: String!
    userId: Int!
    accessToken: String
    scope: String
    lastLoginAt: DateTime!
  }

  input UpdateIdentityInput {
    provider: String
    uid: String
    userId: Int
    accessToken: String
    scope: String
    lastLoginAt: DateTime
  }
`
