export const schema = gql`
  type User {
    id: Int!
    email: String!
    firstName: String
    lastName: String
    # hashedPassword: String
    # salt: String
    # resetToken: String
    # resetTokenExpiresAt: DateTime
    createdAt: DateTime!
    updatedAt: DateTime!
    roles: String!
    identites: [Identity]!
    Nachhilfeangebot: [Nachhilfeangebot]!
  }

  type Query {
    users: [User!]! @requireAuth
  }

  input CreateUserInput {
    email: String!
    firstName: String
    lastName: String
    hashedPassword: String
    salt: String
    resetToken: String
    resetTokenExpiresAt: DateTime
    roles: String!
  }

  input UpdateUserInput {
    email: String
    firstName: String
    lastName: String
    hashedPassword: String
    salt: String
    resetToken: String
    resetTokenExpiresAt: DateTime
    roles: String
  }
`
