import type { Prisma, Identity } from '@prisma/client'
import type { ScenarioData } from '@redwoodjs/testing/api'

export const standard = defineScenario<Prisma.IdentityCreateArgs>({
  identity: {
    one: {
      data: {
        provider: 'String',
        uid: 'String',
        updatedAt: '2024-10-04T12:47:55.457Z',
        user: {
          create: {
            email: 'String3211260',
            updatedAt: '2024-10-04T12:47:55.457Z',
          },
        },
      },
    },
    two: {
      data: {
        provider: 'String',
        uid: 'String',
        updatedAt: '2024-10-04T12:47:55.457Z',
        user: {
          create: {
            email: 'String2559297',
            updatedAt: '2024-10-04T12:47:55.457Z',
          },
        },
      },
    },
  },
})

export type StandardScenario = ScenarioData<Identity, 'identity'>
