import { AppSidebar } from '@/components/navigation/navbar'
import { SidebarProvider, SidebarTrigger } from '@/components/ui/sidebar'

type SidebarLayoutProps = {
  children?: React.ReactNode
}

const SidebarLayout = ({ children }: SidebarLayoutProps) => {
  return (
    <SidebarProvider>
      <AppSidebar />
      <main>
        <SidebarTrigger />
        {children}
      </main>
    </SidebarProvider>
  )
}

export default SidebarLayout
